Memasang JDK

Java Development Kit - juga dikenal sebagai JDK - dibutuhkan untuk mengembangkan plugin Sponge dan/atau bekerja pada Sponge itu sendiri.

Unduhan

Sebelum menginstal JDK, hapus versi Java yang ada di komputer Anda.

Catatan

Sponge contributors and Plugin authors must use JDK 8, as older versions of Java are no longer supported. Be aware that some Minecraft servers have still not yet migrated to Java 8. To run Sponge and its plugins properly you must update to Java 8, as Sponge won't run on older versions (i.e. Java 6 and 7).

Peramal menyediakan download gratis dari Java Pengembangan Kit di situs mereka. Pastikan Anda menginstal JDK (Kit pengembangan java), bukan JRE (Java perjalan waktu lingkungan). Ada perbedaan antara keduanya.

Setelah menyelesaikan proses instalasi, ulangkan komputer Anda. JDK kemudian harus siap untuk digunakan.